Subject: bug#31376: 26.0.50; print-charset-text-property not honored

From: Noam Postavsky <[email-masked]>
Date: Wed, 23 May 2018 19:12:27 -0400

tags 31376 fixed
close 31376 27.1
quit

Noam Postavsky <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> The idea is to take the first if it's not eq to what char-charset
>>> returns, or the second otherwise (on the assumption that it's different
>>> from the first).  Perhaps clearer if I use cl-find:
>>> 
>> Maybe I'm missing something, but the negation of the test seemed to be
>> missing from the original code.  But it was a hard day, so maybe my
>> mind is foggy...
>
> Oh, you're right, it was missing.  I didn't notice because both the
> first two elements of charset-list were different from (char-charset
> ?\0xf6) which let the test pass regardless.

Pushed the one with cl-find to master.

[1: 6f037f427a]: 2018-05-23 07:53:58 -0400
  Honor print-charset-text-property value of nil (Bug#31376)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=6f037f427a25160168e842bff0d12b816d69067d